# Changelog
All notable changes to the project will be documented in this file.
The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/).


## [fundamental constants v1.2] 2022-07-04

## Added
- Exceptions are managed when downloading the NIST files.

## Fixed
- Updated the URLs of the 2014 and 2010 NIST files (now in an 'ArchiveASCII' directory).


## [fundamental constants v1.1] 2021-04-03

## Added
- Added CODATA_latest_constants.f90 simply using the latest available module (2018 at the moment).

## Changed
- Renamed the Fortran CODATA modules and files and moved them in `src` directory.
- README.md updated.


## [fundamental constants v1.0] 2021-03-23

## Added
- A `validated_modules` directory with 2010, 2014 and 2018 Fortran modules, and the text files generated by `fpm test`.

## Changed
- README.md updated.

## Fixed
- test/functions.f90: fixed a bug concerning six CODATA constants with non classical scientific format.
- nist.py: fixed a bug concerning the 2010 file (lines are terminated by `\r\n`).


## [fundamental constants v0.3] 2021-03-22

### Added
- test/functions.f90:
    - a subroutine `insert_space(string, position)` to insert a space in the string at position (in the range [1, 25]).
    - a subroutine `remove_character(string, position)`.
    - a subroutine `format_digits(string)` to insert spaces between groups of digits.

### Changed
- test/functions.f90:
    - improved `write_CODATA()`. The two columns are nearly identical to the CODATA format.

    
## [fundamental constants v0.2] 2021-03-20

### Added
- nist.py: a function `get_number_parts(xstring)` that returns a tuple with the digits at the left and right of the decimal point, and the value of the exponent.
- test/test.f90: automatically written by nist.py. Prints the name of the constant and its value.
- test/functions.f90: `write_CODATA()` tries to output the name and the value of a constant in the same format as in the CODATA listing.


## [fundamental constants v0.1] 2021-03-13

### Added
- Initial commit.
