!-------------------------------------------------------------------------------
! CODATA_2010_constants.f90
! Automatically generated from 2010 CODATA NIST file:
! https://physics.nist.gov/cuu/Constants/allascii_2010.txt
! downloaded on 2021-03-23.
!-------------------------------------------------------------------------------

module CODATA_2010_constants
  use, intrinsic :: iso_fortran_env, only: wp=>real64
  implicit none

  real(wp), parameter :: twotwozero_lattice_spacing_of_silicon = 192.0155714e-12_wp ! 0.000 0032 e-12  m
  real(wp), parameter :: alpha_particle_electron_mass_ratio = 7294.2995361_wp ! 0.000 0029  
  real(wp), parameter :: alpha_particle_mass = 6.64465675e-27_wp ! 0.000 000 29 e-27  kg
  real(wp), parameter :: alpha_particle_mass_energy_equivalent = 5.97191967e-10_wp ! 0.000 000 26 e-10  J
  real(wp), parameter :: alpha_particle_mass_energy_equivalent_in_MeV = 3727.379240_wp ! 0.000 082  MeV
  real(wp), parameter :: alpha_particle_mass_in_u = 4.001506179125_wp ! 0.000 000 000 062  u
  real(wp), parameter :: alpha_particle_molar_mass = 4.001506179125e-3_wp ! 0.000 000 000 062 e-3  kg mol^-1
  real(wp), parameter :: alpha_particle_proton_mass_ratio = 3.97259968933_wp ! 0.000 000 000 36  
  real(wp), parameter :: Angstrom_star = 1.00001495e-10_wp ! 0.000 000 90 e-10  m
  real(wp), parameter :: atomic_mass_constant = 1.660538921e-27_wp ! 0.000 000 073 e-27  kg
  real(wp), parameter :: atomic_mass_constant_energy_equivalent = 1.492417954e-10_wp ! 0.000 000 066 e-10  J
  real(wp), parameter :: atomic_mass_constant_energy_equivalent_in_MeV = 931.494061_wp ! 0.000 021  MeV
  real(wp), parameter :: atomic_mass_unit_electron_volt_relationship = 931.494061e6_wp ! 0.000 021 e6  eV
  real(wp), parameter :: atomic_mass_unit_hartree_relationship = 3.4231776845e7_wp ! 0.000 000 0024 e7  E_h
  real(wp), parameter :: atomic_mass_unit_hertz_relationship = 2.2523427168e23_wp ! 0.000 000 0016 e23  Hz
  real(wp), parameter :: atomic_mass_unit_inverse_meter_relationship = 7.5130066042e14_wp ! 0.000 000 0053 e14  m^-1
  real(wp), parameter :: atomic_mass_unit_joule_relationship = 1.492417954e-10_wp ! 0.000 000 066 e-10  J
  real(wp), parameter :: atomic_mass_unit_kelvin_relationship = 1.08095408e13_wp ! 0.000 000 98 e13  K
  real(wp), parameter :: atomic_mass_unit_kilogram_relationship = 1.660538921e-27_wp ! 0.000 000 073 e-27  kg
  real(wp), parameter :: atomic_unit_of_1st_hyperpolarizability = 3.206361449e-53_wp ! 0.000 000 071 e-53  C^3 m^3 J^-2
  real(wp), parameter :: atomic_unit_of_2nd_hyperpolarizability = 6.23538054e-65_wp ! 0.000 000 28 e-65  C^4 m^4 J^-3
  real(wp), parameter :: atomic_unit_of_action = 1.054571726e-34_wp ! 0.000 000 047 e-34  J s
  real(wp), parameter :: atomic_unit_of_charge = 1.602176565e-19_wp ! 0.000 000 035 e-19  C
  real(wp), parameter :: atomic_unit_of_charge_density = 1.081202338e12_wp ! 0.000 000 024 e12  C m^-3
  real(wp), parameter :: atomic_unit_of_current = 6.62361795e-3_wp ! 0.000 000 15 e-3  A
  real(wp), parameter :: atomic_unit_of_electric_dipole_mom_ = 8.47835326e-30_wp ! 0.000 000 19 e-30  C m
  real(wp), parameter :: atomic_unit_of_electric_field = 5.14220652e11_wp ! 0.000 000 11 e11  V m^-1
  real(wp), parameter :: atomic_unit_of_electric_field_gradient = 9.71736200e21_wp ! 0.000 000 21 e21  V m^-2
  real(wp), parameter :: atomic_unit_of_electric_polarizability = 1.6487772754e-41_wp ! 0.000 000 0016 e-41  C^2 m^2 J^-1
  real(wp), parameter :: atomic_unit_of_electric_potential = 27.21138505_wp ! 0.000 000 60  V
  real(wp), parameter :: atomic_unit_of_electric_quadrupole_mom_ = 4.486551331e-40_wp ! 0.000 000 099 e-40  C m^2
  real(wp), parameter :: atomic_unit_of_energy = 4.35974434e-18_wp ! 0.000 000 19 e-18  J
  real(wp), parameter :: atomic_unit_of_force = 8.23872278e-8_wp ! 0.000 000 36 e-8  N
  real(wp), parameter :: atomic_unit_of_length = 0.52917721092e-10_wp ! 0.000 000 000 17 e-10  m
  real(wp), parameter :: atomic_unit_of_mag__dipole_mom_ = 1.854801936e-23_wp ! 0.000 000 041 e-23  J T^-1
  real(wp), parameter :: atomic_unit_of_mag__flux_density = 2.350517464e5_wp ! 0.000 000 052 e5  T
  real(wp), parameter :: atomic_unit_of_magnetizability = 7.891036607e-29_wp ! 0.000 000 013 e-29  J T^-2
  real(wp), parameter :: atomic_unit_of_mass = 9.10938291e-31_wp ! 0.000 000 40 e-31  kg
  real(wp), parameter :: atomic_unit_of_mom_um = 1.992851740e-24_wp ! 0.000 000 088 e-24  kg m s^-1
  real(wp), parameter :: atomic_unit_of_permittivity = 1.112650056e-10_wp ! (exact)  F m^-1
  real(wp), parameter :: atomic_unit_of_time = 2.418884326502e-17_wp ! 0.000 000 000 012 e-17  s
  real(wp), parameter :: atomic_unit_of_velocity = 2.18769126379e6_wp ! 0.000 000 000 71 e6  m s^-1
  real(wp), parameter :: Avogadro_constant = 6.02214129e23_wp ! 0.000 000 27 e23  mol^-1
  real(wp), parameter :: Bohr_magneton = 927.400968e-26_wp ! 0.000 020 e-26  J T^-1
  real(wp), parameter :: Bohr_magneton_in_eV_T = 5.7883818066e-5_wp ! 0.000 000 0038 e-5  eV T^-1
  real(wp), parameter :: Bohr_magneton_in_Hz_T = 13.99624555e9_wp ! 0.000 000 31 e9  Hz T^-1
  real(wp), parameter :: Bohr_magneton_in_inverse_meters_per_tesla = 46.6864498_wp ! 0.000 0010  m^-1 T^-1
  real(wp), parameter :: Bohr_magneton_in_K_T = 0.67171388_wp ! 0.000 000 61  K T^-1
  real(wp), parameter :: Bohr_radius = 0.52917721092e-10_wp ! 0.000 000 000 17 e-10  m
  real(wp), parameter :: Boltzmann_constant = 1.3806488e-23_wp ! 0.000 0013 e-23  J K^-1
  real(wp), parameter :: Boltzmann_constant_in_eV_K = 8.6173324e-5_wp ! 0.000 0078 e-5  eV K^-1
  real(wp), parameter :: Boltzmann_constant_in_Hz_K = 2.0836618e10_wp ! 0.000 0019 e10  Hz K^-1
  real(wp), parameter :: Boltzmann_constant_in_inverse_meters_per_kelvin = 69.503476_wp ! 0.000 063  m^-1 K^-1
  real(wp), parameter :: characteristic_impedance_of_vacuum = 376.730313461_wp ! (exact)  ohm
  real(wp), parameter :: classical_electron_radius = 2.8179403267e-15_wp ! 0.000 000 0027 e-15  m
  real(wp), parameter :: Compton_wavelength = 2.4263102389e-12_wp ! 0.000 000 0016 e-12  m
  real(wp), parameter :: Compton_wavelength_over_2_pi = 386.15926800e-15_wp ! 0.000 000 25 e-15  m
  real(wp), parameter :: conductance_quantum = 7.7480917346e-5_wp ! 0.000 000 0025 e-5  S
  real(wp), parameter :: conventional_value_of_Josephson_constant = 483597.9e9_wp ! (exact)  Hz V^-1
  real(wp), parameter :: conventional_value_of_von_Klitzing_constant = 25812.807_wp ! (exact)  ohm
  real(wp), parameter :: Cu_x_unit = 1.00207697e-13_wp ! 0.000 000 28 e-13  m
  real(wp), parameter :: deuteron_electron_mag__mom__ratio = -4.664345537e-4_wp ! 0.000 000 039 e-4  
  real(wp), parameter :: deuteron_electron_mass_ratio = 3670.4829652_wp ! 0.000 0015  
  real(wp), parameter :: deuteron_g_factor = 0.8574382308_wp ! 0.000 000 0072  
  real(wp), parameter :: deuteron_mag__mom_ = 0.433073489e-26_wp ! 0.000 000 010 e-26  J T^-1
  real(wp), parameter :: deuteron_mag__mom__to_Bohr_magneton_ratio = 0.4669754556e-3_wp ! 0.000 000 0039 e-3  
  real(wp), parameter :: deuteron_mag__mom__to_nuclear_magneton_ratio = 0.8574382308_wp ! 0.000 000 0072  
  real(wp), parameter :: deuteron_mass = 3.34358348e-27_wp ! 0.000 000 15 e-27  kg
  real(wp), parameter :: deuteron_mass_energy_equivalent = 3.00506297e-10_wp ! 0.000 000 13 e-10  J
  real(wp), parameter :: deuteron_mass_energy_equivalent_in_MeV = 1875.612859_wp ! 0.000 041  MeV
  real(wp), parameter :: deuteron_mass_in_u = 2.013553212712_wp ! 0.000 000 000 077  u
  real(wp), parameter :: deuteron_molar_mass = 2.013553212712e-3_wp ! 0.000 000 000 077 e-3  kg mol^-1
  real(wp), parameter :: deuteron_neutron_mag__mom__ratio = -0.44820652_wp ! 0.000 000 11  
  real(wp), parameter :: deuteron_proton_mag__mom__ratio = 0.3070122070_wp ! 0.000 000 0024  
  real(wp), parameter :: deuteron_proton_mass_ratio = 1.99900750097_wp ! 0.000 000 000 18  
  real(wp), parameter :: deuteron_rms_charge_radius = 2.1424e-15_wp ! 0.0021 e-15  m
  real(wp), parameter :: electric_constant = 8.854187817e-12_wp ! (exact)  F m^-1
  real(wp), parameter :: electron_charge_to_mass_quotient = -1.758820088e11_wp ! 0.000 000 039 e11  C kg^-1
  real(wp), parameter :: electron_deuteron_mag__mom__ratio = -2143.923498_wp ! 0.000 018  
  real(wp), parameter :: electron_deuteron_mass_ratio = 2.7244371095e-4_wp ! 0.000 000 0011 e-4  
  real(wp), parameter :: electron_g_factor = -2.00231930436153_wp ! 0.000 000 000 000 53  
  real(wp), parameter :: electron_gyromag__ratio = 1.760859708e11_wp ! 0.000 000 039 e11  s^-1 T^-1
  real(wp), parameter :: electron_gyromag__ratio_over_2_pi = 28024.95266_wp ! 0.000 62  MHz T^-1
  real(wp), parameter :: electron_helion_mass_ratio = 1.8195430761e-4_wp ! 0.000 000 0017 e-4  
  real(wp), parameter :: electron_mag__mom_ = -928.476430e-26_wp ! 0.000 021 e-26  J T^-1
  real(wp), parameter :: electron_mag__mom__anomaly = 1.15965218076e-3_wp ! 0.000 000 000 27 e-3  
  real(wp), parameter :: electron_mag__mom__to_Bohr_magneton_ratio = -1.00115965218076_wp ! 0.000 000 000 000 27  
  real(wp), parameter :: electron_mag__mom__to_nuclear_magneton_ratio = -1838.28197090_wp ! 0.000 000 75  
  real(wp), parameter :: electron_mass = 9.10938291e-31_wp ! 0.000 000 40 e-31  kg
  real(wp), parameter :: electron_mass_energy_equivalent = 8.18710506e-14_wp ! 0.000 000 36 e-14  J
  real(wp), parameter :: electron_mass_energy_equivalent_in_MeV = 0.510998928_wp ! 0.000 000 011  MeV
  real(wp), parameter :: electron_mass_in_u = 5.4857990946e-4_wp ! 0.000 000 0022 e-4  u
  real(wp), parameter :: electron_molar_mass = 5.4857990946e-7_wp ! 0.000 000 0022 e-7  kg mol^-1
  real(wp), parameter :: electron_muon_mag__mom__ratio = 206.7669896_wp ! 0.000 0052  
  real(wp), parameter :: electron_muon_mass_ratio = 4.83633166e-3_wp ! 0.000 000 12 e-3  
  real(wp), parameter :: electron_neutron_mag__mom__ratio = 960.92050_wp ! 0.000 23  
  real(wp), parameter :: electron_neutron_mass_ratio = 5.4386734461e-4_wp ! 0.000 000 0032 e-4  
  real(wp), parameter :: electron_proton_mag__mom__ratio = -658.2106848_wp ! 0.000 0054  
  real(wp), parameter :: electron_proton_mass_ratio = 5.4461702178e-4_wp ! 0.000 000 0022 e-4  
  real(wp), parameter :: electron_tau_mass_ratio = 2.87592e-4_wp ! 0.000 26 e-4  
  real(wp), parameter :: electron_to_alpha_particle_mass_ratio = 1.37093355578e-4_wp ! 0.000 000 000 55 e-4  
  real(wp), parameter :: electron_to_shielded_helion_mag__mom__ratio = 864.058257_wp ! 0.000 010  
  real(wp), parameter :: electron_to_shielded_proton_mag__mom__ratio = -658.2275971_wp ! 0.000 0072  
  real(wp), parameter :: electron_triton_mass_ratio = 1.8192000653e-4_wp ! 0.000 000 0017 e-4  
  real(wp), parameter :: electron_volt = 1.602176565e-19_wp ! 0.000 000 035 e-19  J
  real(wp), parameter :: electron_volt_atomic_mass_unit_relationship = 1.073544150e-9_wp ! 0.000 000 024 e-9  u
  real(wp), parameter :: electron_volt_hartree_relationship = 3.674932379e-2_wp ! 0.000 000 081 e-2  E_h
  real(wp), parameter :: electron_volt_hertz_relationship = 2.417989348e14_wp ! 0.000 000 053 e14  Hz
  real(wp), parameter :: electron_volt_inverse_meter_relationship = 8.06554429e5_wp ! 0.000 000 18 e5  m^-1
  real(wp), parameter :: electron_volt_joule_relationship = 1.602176565e-19_wp ! 0.000 000 035 e-19  J
  real(wp), parameter :: electron_volt_kelvin_relationship = 1.1604519e4_wp ! 0.000 0011 e4  K
  real(wp), parameter :: electron_volt_kilogram_relationship = 1.782661845e-36_wp ! 0.000 000 039 e-36  kg
  real(wp), parameter :: elementary_charge = 1.602176565e-19_wp ! 0.000 000 035 e-19  C
  real(wp), parameter :: elementary_charge_over_h = 2.417989348e14_wp ! 0.000 000 053 e14  A J^-1
  real(wp), parameter :: Faraday_constant = 96485.3365_wp ! 0.0021  C mol^-1
  real(wp), parameter :: Faraday_constant_for_conventional_electric_current = 96485.3321_wp ! 0.0043  C_90 mol^-1
  real(wp), parameter :: Fermi_coupling_constant = 1.166364e-5_wp ! 0.000 005 e-5  GeV^-2
  real(wp), parameter :: fine_structure_constant = 7.2973525698e-3_wp ! 0.000 000 0024 e-3  
  real(wp), parameter :: first_radiation_constant = 3.74177153e-16_wp ! 0.000 000 17 e-16  W m^2
  real(wp), parameter :: first_radiation_constant_for_spectral_radiance = 1.191042869e-16_wp ! 0.000 000 053 e-16  W m^2 sr^-1
  real(wp), parameter :: hartree_atomic_mass_unit_relationship = 2.9212623246e-8_wp ! 0.000 000 0021 e-8  u
  real(wp), parameter :: hartree_electron_volt_relationship = 27.21138505_wp ! 0.000 000 60  eV
  real(wp), parameter :: Hartree_energy = 4.35974434e-18_wp ! 0.000 000 19 e-18  J
  real(wp), parameter :: Hartree_energy_in_eV = 27.21138505_wp ! 0.000 000 60  eV
  real(wp), parameter :: hartree_hertz_relationship = 6.579683920729e15_wp ! 0.000 000 000 033 e15  Hz
  real(wp), parameter :: hartree_inverse_meter_relationship = 2.194746313708e7_wp ! 0.000 000 000 011 e7  m^-1
  real(wp), parameter :: hartree_joule_relationship = 4.35974434e-18_wp ! 0.000 000 19 e-18  J
  real(wp), parameter :: hartree_kelvin_relationship = 3.1577504e5_wp ! 0.000 0029 e5  K
  real(wp), parameter :: hartree_kilogram_relationship = 4.85086979e-35_wp ! 0.000 000 21 e-35  kg
  real(wp), parameter :: helion_electron_mass_ratio = 5495.8852754_wp ! 0.000 0050  
  real(wp), parameter :: helion_g_factor = -4.255250613_wp ! 0.000 000 050  
  real(wp), parameter :: helion_mag__mom_ = -1.074617486e-26_wp ! 0.000 000 027 e-26  J T^-1
  real(wp), parameter :: helion_mag__mom__to_Bohr_magneton_ratio = -1.158740958e-3_wp ! 0.000 000 014 e-3  
  real(wp), parameter :: helion_mag__mom__to_nuclear_magneton_ratio = -2.127625306_wp ! 0.000 000 025  
  real(wp), parameter :: helion_mass = 5.00641234e-27_wp ! 0.000 000 22 e-27  kg
  real(wp), parameter :: helion_mass_energy_equivalent = 4.49953902e-10_wp ! 0.000 000 20 e-10  J
  real(wp), parameter :: helion_mass_energy_equivalent_in_MeV = 2808.391482_wp ! 0.000 062  MeV
  real(wp), parameter :: helion_mass_in_u = 3.0149322468_wp ! 0.000 000 0025  u
  real(wp), parameter :: helion_molar_mass = 3.0149322468e-3_wp ! 0.000 000 0025 e-3  kg mol^-1
  real(wp), parameter :: helion_proton_mass_ratio = 2.9931526707_wp ! 0.000 000 0025  
  real(wp), parameter :: hertz_atomic_mass_unit_relationship = 4.4398216689e-24_wp ! 0.000 000 0031 e-24  u
  real(wp), parameter :: hertz_electron_volt_relationship = 4.135667516e-15_wp ! 0.000 000 091 e-15  eV
  real(wp), parameter :: hertz_hartree_relationship = 1.5198298460045e-16_wp ! 0.000 000 000 0076 e-16  E_h
  real(wp), parameter :: hertz_inverse_meter_relationship = 3.335640951e-9_wp ! (exact)  m^-1
  real(wp), parameter :: hertz_joule_relationship = 6.62606957e-34_wp ! 0.000 000 29 e-34  J
  real(wp), parameter :: hertz_kelvin_relationship = 4.7992434e-11_wp ! 0.000 0044 e-11  K
  real(wp), parameter :: hertz_kilogram_relationship = 7.37249668e-51_wp ! 0.000 000 33 e-51  kg
  real(wp), parameter :: inverse_fine_structure_constant = 137.035999074_wp ! 0.000 000 044  
  real(wp), parameter :: inverse_meter_atomic_mass_unit_relationship = 1.33102505120e-15_wp ! 0.000 000 000 94 e-15  u
  real(wp), parameter :: inverse_meter_electron_volt_relationship = 1.239841930e-6_wp ! 0.000 000 027 e-6  eV
  real(wp), parameter :: inverse_meter_hartree_relationship = 4.556335252755e-8_wp ! 0.000 000 000 023 e-8  E_h
  real(wp), parameter :: inverse_meter_hertz_relationship = 299792458e0_wp ! (exact)  Hz
  real(wp), parameter :: inverse_meter_joule_relationship = 1.986445684e-25_wp ! 0.000 000 088 e-25  J
  real(wp), parameter :: inverse_meter_kelvin_relationship = 1.4387770e-2_wp ! 0.000 0013 e-2  K
  real(wp), parameter :: inverse_meter_kilogram_relationship = 2.210218902e-42_wp ! 0.000 000 098 e-42  kg
  real(wp), parameter :: inverse_of_conductance_quantum = 12906.4037217_wp ! 0.000 0042  ohm
  real(wp), parameter :: Josephson_constant = 483597.870e9_wp ! 0.011 e9  Hz V^-1
  real(wp), parameter :: joule_atomic_mass_unit_relationship = 6.70053585e9_wp ! 0.000 000 30 e9  u
  real(wp), parameter :: joule_electron_volt_relationship = 6.24150934e18_wp ! 0.000 000 14 e18  eV
  real(wp), parameter :: joule_hartree_relationship = 2.29371248e17_wp ! 0.000 000 10 e17  E_h
  real(wp), parameter :: joule_hertz_relationship = 1.509190311e33_wp ! 0.000 000 067 e33  Hz
  real(wp), parameter :: joule_inverse_meter_relationship = 5.03411701e24_wp ! 0.000 000 22 e24  m^-1
  real(wp), parameter :: joule_kelvin_relationship = 7.2429716e22_wp ! 0.000 0066 e22  K
  real(wp), parameter :: joule_kilogram_relationship = 1.112650056e-17_wp ! (exact)  kg
  real(wp), parameter :: kelvin_atomic_mass_unit_relationship = 9.2510868e-14_wp ! 0.000 0084 e-14  u
  real(wp), parameter :: kelvin_electron_volt_relationship = 8.6173324e-5_wp ! 0.000 0078 e-5  eV
  real(wp), parameter :: kelvin_hartree_relationship = 3.1668114e-6_wp ! 0.000 0029 e-6  E_h
  real(wp), parameter :: kelvin_hertz_relationship = 2.0836618e10_wp ! 0.000 0019 e10  Hz
  real(wp), parameter :: kelvin_inverse_meter_relationship = 69.503476_wp ! 0.000 063  m^-1
  real(wp), parameter :: kelvin_joule_relationship = 1.3806488e-23_wp ! 0.000 0013 e-23  J
  real(wp), parameter :: kelvin_kilogram_relationship = 1.5361790e-40_wp ! 0.000 0014 e-40  kg
  real(wp), parameter :: kilogram_atomic_mass_unit_relationship = 6.02214129e26_wp ! 0.000 000 27 e26  u
  real(wp), parameter :: kilogram_electron_volt_relationship = 5.60958885e35_wp ! 0.000 000 12 e35  eV
  real(wp), parameter :: kilogram_hartree_relationship = 2.061485968e34_wp ! 0.000 000 091 e34  E_h
  real(wp), parameter :: kilogram_hertz_relationship = 1.356392608e50_wp ! 0.000 000 060 e50  Hz
  real(wp), parameter :: kilogram_inverse_meter_relationship = 4.52443873e41_wp ! 0.000 000 20 e41  m^-1
  real(wp), parameter :: kilogram_joule_relationship = 8.987551787e16_wp ! (exact)  J
  real(wp), parameter :: kilogram_kelvin_relationship = 6.5096582e39_wp ! 0.000 0059 e39  K
  real(wp), parameter :: lattice_parameter_of_silicon = 543.1020504e-12_wp ! 0.000 0089 e-12  m
  real(wp), parameter :: Loschmidt_constant_273_15_K__100_kPa = 2.6516462e25_wp ! 0.000 0024 e25  m^-3
  real(wp), parameter :: Loschmidt_constant_273_15_K__101_325_kPa = 2.6867805e25_wp ! 0.000 0024 e25  m^-3
  real(wp), parameter :: mag__constant = 12.566370614e-7_wp ! (exact)  N A^-2
  real(wp), parameter :: mag__flux_quantum = 2.067833758e-15_wp ! 0.000 000 046 e-15  Wb
  real(wp), parameter :: molar_gas_constant = 8.3144621_wp ! 0.000 0075  J mol^-1 K^-1
  real(wp), parameter :: molar_mass_constant = 1e-3_wp ! (exact)  kg mol^-1
  real(wp), parameter :: molar_mass_of_carbon_12 = 12e-3_wp ! (exact)  kg mol^-1
  real(wp), parameter :: molar_Planck_constant = 3.9903127176e-10_wp ! 0.000 000 0028 e-10  J s mol^-1
  real(wp), parameter :: molar_Planck_constant_times_c = 0.119626565779_wp ! 0.000 000 000 084  J m mol^-1
  real(wp), parameter :: molar_volume_of_ideal_gas_273_15_K__100_kPa = 22.710953e-3_wp ! 0.000 021 e-3  m^3 mol^-1
  real(wp), parameter :: molar_volume_of_ideal_gas_273_15_K__101_325_kPa = 22.413968e-3_wp ! 0.000 020 e-3  m^3 mol^-1
  real(wp), parameter :: molar_volume_of_silicon = 12.05883301e-6_wp ! 0.000 000 80 e-6  m^3 mol^-1
  real(wp), parameter :: Mo_x_unit = 1.00209952e-13_wp ! 0.000 000 53 e-13  m
  real(wp), parameter :: muon_Compton_wavelength = 11.73444103e-15_wp ! 0.000 000 30 e-15  m
  real(wp), parameter :: muon_Compton_wavelength_over_2_pi = 1.867594294e-15_wp ! 0.000 000 047 e-15  m
  real(wp), parameter :: muon_electron_mass_ratio = 206.7682843_wp ! 0.000 0052  
  real(wp), parameter :: muon_g_factor = -2.0023318418_wp ! 0.000 000 0013  
  real(wp), parameter :: muon_mag__mom_ = -4.49044807e-26_wp ! 0.000 000 15 e-26  J T^-1
  real(wp), parameter :: muon_mag__mom__anomaly = 1.16592091e-3_wp ! 0.000 000 63 e-3  
  real(wp), parameter :: muon_mag__mom__to_Bohr_magneton_ratio = -4.84197044e-3_wp ! 0.000 000 12 e-3  
  real(wp), parameter :: muon_mag__mom__to_nuclear_magneton_ratio = -8.89059697_wp ! 0.000 000 22  
  real(wp), parameter :: muon_mass = 1.883531475e-28_wp ! 0.000 000 096 e-28  kg
  real(wp), parameter :: muon_mass_energy_equivalent = 1.692833667e-11_wp ! 0.000 000 086 e-11  J
  real(wp), parameter :: muon_mass_energy_equivalent_in_MeV = 105.6583715_wp ! 0.000 0035  MeV
  real(wp), parameter :: muon_mass_in_u = 0.1134289267_wp ! 0.000 000 0029  u
  real(wp), parameter :: muon_molar_mass = 0.1134289267e-3_wp ! 0.000 000 0029 e-3  kg mol^-1
  real(wp), parameter :: muon_neutron_mass_ratio = 0.1124545177_wp ! 0.000 000 0028  
  real(wp), parameter :: muon_proton_mag__mom__ratio = -3.183345107_wp ! 0.000 000 084  
  real(wp), parameter :: muon_proton_mass_ratio = 0.1126095272_wp ! 0.000 000 0028  
  real(wp), parameter :: muon_tau_mass_ratio = 5.94649e-2_wp ! 0.000 54 e-2  
  real(wp), parameter :: natural_unit_of_action = 1.054571726e-34_wp ! 0.000 000 047 e-34  J s
  real(wp), parameter :: natural_unit_of_action_in_eV_s = 6.58211928e-16_wp ! 0.000 000 15 e-16  eV s
  real(wp), parameter :: natural_unit_of_energy = 8.18710506e-14_wp ! 0.000 000 36 e-14  J
  real(wp), parameter :: natural_unit_of_energy_in_MeV = 0.510998928_wp ! 0.000 000 011  MeV
  real(wp), parameter :: natural_unit_of_length = 386.15926800e-15_wp ! 0.000 000 25 e-15  m
  real(wp), parameter :: natural_unit_of_mass = 9.10938291e-31_wp ! 0.000 000 40 e-31  kg
  real(wp), parameter :: natural_unit_of_mom_um = 2.73092429e-22_wp ! 0.000 000 12 e-22  kg m s^-1
  real(wp), parameter :: natural_unit_of_mom_um_in_MeV_c = 0.510998928_wp ! 0.000 000 011  MeV/c
  real(wp), parameter :: natural_unit_of_time = 1.28808866833e-21_wp ! 0.000 000 000 83 e-21  s
  real(wp), parameter :: natural_unit_of_velocity = 299792458e0_wp ! (exact)  m s^-1
  real(wp), parameter :: neutron_Compton_wavelength = 1.3195909068e-15_wp ! 0.000 000 0011 e-15  m
  real(wp), parameter :: neutron_Compton_wavelength_over_2_pi = 0.21001941568e-15_wp ! 0.000 000 000 17 e-15  m
  real(wp), parameter :: neutron_electron_mag__mom__ratio = 1.04066882e-3_wp ! 0.000 000 25 e-3  
  real(wp), parameter :: neutron_electron_mass_ratio = 1838.6836605_wp ! 0.000 0011  
  real(wp), parameter :: neutron_g_factor = -3.82608545_wp ! 0.000 000 90  
  real(wp), parameter :: neutron_gyromag__ratio = 1.83247179e8_wp ! 0.000 000 43 e8  s^-1 T^-1
  real(wp), parameter :: neutron_gyromag__ratio_over_2_pi = 29.1646943_wp ! 0.000 0069  MHz T^-1
  real(wp), parameter :: neutron_mag__mom_ = -0.96623647e-26_wp ! 0.000 000 23 e-26  J T^-1
  real(wp), parameter :: neutron_mag__mom__to_Bohr_magneton_ratio = -1.04187563e-3_wp ! 0.000 000 25 e-3  
  real(wp), parameter :: neutron_mag__mom__to_nuclear_magneton_ratio = -1.91304272_wp ! 0.000 000 45  
  real(wp), parameter :: neutron_mass = 1.674927351e-27_wp ! 0.000 000 074 e-27  kg
  real(wp), parameter :: neutron_mass_energy_equivalent = 1.505349631e-10_wp ! 0.000 000 066 e-10  J
  real(wp), parameter :: neutron_mass_energy_equivalent_in_MeV = 939.565379_wp ! 0.000 021  MeV
  real(wp), parameter :: neutron_mass_in_u = 1.00866491600_wp ! 0.000 000 000 43  u
  real(wp), parameter :: neutron_molar_mass = 1.00866491600e-3_wp ! 0.000 000 000 43 e-3  kg mol^-1
  real(wp), parameter :: neutron_muon_mass_ratio = 8.89248400_wp ! 0.000 000 22  
  real(wp), parameter :: neutron_proton_mag__mom__ratio = -0.68497934_wp ! 0.000 000 16  
  real(wp), parameter :: neutron_proton_mass_difference = 2.30557392e-30_wp ! 0.000 000 76 e-30  
  real(wp), parameter :: neutron_proton_mass_difference_energy_equivalent = 2.07214650e-13_wp ! 0.000 000 68 e-13  
  real(wp), parameter :: neutron_proton_mass_difference_energy_equivalent_in_MeV = 1.29333217_wp ! 0.000 000 42  
  real(wp), parameter :: neutron_proton_mass_difference_in_u = 0.00138844919_wp ! 0.000 000 000 45  
  real(wp), parameter :: neutron_proton_mass_ratio = 1.00137841917_wp ! 0.000 000 000 45  
  real(wp), parameter :: neutron_tau_mass_ratio = 0.528790_wp ! 0.000 048  
  real(wp), parameter :: neutron_to_shielded_proton_mag__mom__ratio = -0.68499694_wp ! 0.000 000 16  
  real(wp), parameter :: Newtonian_constant_of_gravitation = 6.67384e-11_wp ! 0.000 80 e-11  m^3 kg^-1 s^-2
  real(wp), parameter :: Newtonian_constant_of_gravitation_over_h_bar_c = 6.70837e-39_wp ! 0.000 80 e-39  (GeV/c^2)^-2
  real(wp), parameter :: nuclear_magneton = 5.05078353e-27_wp ! 0.000 000 11 e-27  J T^-1
  real(wp), parameter :: nuclear_magneton_in_eV_T = 3.1524512605e-8_wp ! 0.000 000 0022 e-8  eV T^-1
  real(wp), parameter :: nuclear_magneton_in_inverse_meters_per_tesla = 2.542623527e-2_wp ! 0.000 000 056 e-2  m^-1 T^-1
  real(wp), parameter :: nuclear_magneton_in_K_T = 3.6582682e-4_wp ! 0.000 0033 e-4  K T^-1
  real(wp), parameter :: nuclear_magneton_in_MHz_T = 7.62259357_wp ! 0.000 000 17  MHz T^-1
  real(wp), parameter :: Planck_constant = 6.62606957e-34_wp ! 0.000 000 29 e-34  J s
  real(wp), parameter :: Planck_constant_in_eV_s = 4.135667516e-15_wp ! 0.000 000 091 e-15  eV s
  real(wp), parameter :: Planck_constant_over_2_pi = 1.054571726e-34_wp ! 0.000 000 047 e-34  J s
  real(wp), parameter :: Planck_constant_over_2_pi_in_eV_s = 6.58211928e-16_wp ! 0.000 000 15 e-16  eV s
  real(wp), parameter :: Planck_constant_over_2_pi_times_c_in_MeV_fm = 197.3269718_wp ! 0.000 0044  MeV fm
  real(wp), parameter :: Planck_length = 1.616199e-35_wp ! 0.000 097 e-35  m
  real(wp), parameter :: Planck_mass = 2.17651e-8_wp ! 0.000 13 e-8  kg
  real(wp), parameter :: Planck_mass_energy_equivalent_in_GeV = 1.220932e19_wp ! 0.000 073 e19  GeV
  real(wp), parameter :: Planck_temperature = 1.416833e32_wp ! 0.000 085 e32  K
  real(wp), parameter :: Planck_time = 5.39106e-44_wp ! 0.000 32 e-44  s
  real(wp), parameter :: proton_charge_to_mass_quotient = 9.57883358e7_wp ! 0.000 000 21 e7  C kg^-1
  real(wp), parameter :: proton_Compton_wavelength = 1.32140985623e-15_wp ! 0.000 000 000 94 e-15  m
  real(wp), parameter :: proton_Compton_wavelength_over_2_pi = 0.21030891047e-15_wp ! 0.000 000 000 15 e-15  m
  real(wp), parameter :: proton_electron_mass_ratio = 1836.15267245_wp ! 0.000 000 75  
  real(wp), parameter :: proton_g_factor = 5.585694713_wp ! 0.000 000 046  
  real(wp), parameter :: proton_gyromag__ratio = 2.675222005e8_wp ! 0.000 000 063 e8  s^-1 T^-1
  real(wp), parameter :: proton_gyromag__ratio_over_2_pi = 42.5774806_wp ! 0.000 0010  MHz T^-1
  real(wp), parameter :: proton_mag__mom_ = 1.410606743e-26_wp ! 0.000 000 033 e-26  J T^-1
  real(wp), parameter :: proton_mag__mom__to_Bohr_magneton_ratio = 1.521032210e-3_wp ! 0.000 000 012 e-3  
  real(wp), parameter :: proton_mag__mom__to_nuclear_magneton_ratio = 2.792847356_wp ! 0.000 000 023  
  real(wp), parameter :: proton_mag__shielding_correction = 25.694e-6_wp ! 0.014 e-6  
  real(wp), parameter :: proton_mass = 1.672621777e-27_wp ! 0.000 000 074 e-27  kg
  real(wp), parameter :: proton_mass_energy_equivalent = 1.503277484e-10_wp ! 0.000 000 066 e-10  J
  real(wp), parameter :: proton_mass_energy_equivalent_in_MeV = 938.272046_wp ! 0.000 021  MeV
  real(wp), parameter :: proton_mass_in_u = 1.007276466812_wp ! 0.000 000 000 090  u
  real(wp), parameter :: proton_molar_mass = 1.007276466812e-3_wp ! 0.000 000 000 090 e-3  kg mol^-1
  real(wp), parameter :: proton_muon_mass_ratio = 8.88024331_wp ! 0.000 000 22  
  real(wp), parameter :: proton_neutron_mag__mom__ratio = -1.45989806_wp ! 0.000 000 34  
  real(wp), parameter :: proton_neutron_mass_ratio = 0.99862347826_wp ! 0.000 000 000 45  
  real(wp), parameter :: proton_rms_charge_radius = 0.8775e-15_wp ! 0.0051 e-15  m
  real(wp), parameter :: proton_tau_mass_ratio = 0.528063_wp ! 0.000 048  
  real(wp), parameter :: quantum_of_circulation = 3.6369475520e-4_wp ! 0.000 000 0024 e-4  m^2 s^-1
  real(wp), parameter :: quantum_of_circulation_times_2 = 7.2738951040e-4_wp ! 0.000 000 0047 e-4  m^2 s^-1
  real(wp), parameter :: Rydberg_constant = 10973731.568539_wp ! 0.000 055  m^-1
  real(wp), parameter :: Rydberg_constant_times_c_in_Hz = 3.289841960364e15_wp ! 0.000 000 000 017 e15  Hz
  real(wp), parameter :: Rydberg_constant_times_hc_in_eV = 13.60569253_wp ! 0.000 000 30  eV
  real(wp), parameter :: Rydberg_constant_times_hc_in_J = 2.179872171e-18_wp ! 0.000 000 096 e-18  J
  real(wp), parameter :: Sackur_Tetrode_constant_1_K__100_kPa = -1.1517078_wp ! 0.000 0023  
  real(wp), parameter :: Sackur_Tetrode_constant_1_K__101_325_kPa = -1.1648708_wp ! 0.000 0023  
  real(wp), parameter :: second_radiation_constant = 1.4387770e-2_wp ! 0.000 0013 e-2  m K
  real(wp), parameter :: shielded_helion_gyromag__ratio = 2.037894659e8_wp ! 0.000 000 051 e8  s^-1 T^-1
  real(wp), parameter :: shielded_helion_gyromag__ratio_over_2_pi = 32.43410084_wp ! 0.000 000 81  MHz T^-1
  real(wp), parameter :: shielded_helion_mag__mom_ = -1.074553044e-26_wp ! 0.000 000 027 e-26  J T^-1
  real(wp), parameter :: shielded_helion_mag__mom__to_Bohr_magneton_ratio = -1.158671471e-3_wp ! 0.000 000 014 e-3  
  real(wp), parameter :: shielded_helion_mag__mom__to_nuclear_magneton_ratio = -2.127497718_wp ! 0.000 000 025  
  real(wp), parameter :: shielded_helion_to_proton_mag__mom__ratio = -0.761766558_wp ! 0.000 000 011  
  real(wp), parameter :: shielded_helion_to_shielded_proton_mag__mom__ratio = -0.7617861313_wp ! 0.000 000 0033  
  real(wp), parameter :: shielded_proton_gyromag__ratio = 2.675153268e8_wp ! 0.000 000 066 e8  s^-1 T^-1
  real(wp), parameter :: shielded_proton_gyromag__ratio_over_2_pi = 42.5763866_wp ! 0.000 0010  MHz T^-1
  real(wp), parameter :: shielded_proton_mag__mom_ = 1.410570499e-26_wp ! 0.000 000 035 e-26  J T^-1
  real(wp), parameter :: shielded_proton_mag__mom__to_Bohr_magneton_ratio = 1.520993128e-3_wp ! 0.000 000 017 e-3  
  real(wp), parameter :: shielded_proton_mag__mom__to_nuclear_magneton_ratio = 2.792775598_wp ! 0.000 000 030  
  real(wp), parameter :: speed_of_light_in_vacuum = 299792458e0_wp ! (exact)  m s^-1
  real(wp), parameter :: standard_acceleration_of_gravity = 9.80665_wp ! (exact)  m s^-2
  real(wp), parameter :: standard_atmosphere = 101325e0_wp ! (exact)  Pa
  real(wp), parameter :: standard_state_pressure = 100000e0_wp ! (exact)  Pa
  real(wp), parameter :: Stefan_Boltzmann_constant = 5.670373e-8_wp ! 0.000 021 e-8  W m^-2 K^-4
  real(wp), parameter :: tau_Compton_wavelength = 0.697787e-15_wp ! 0.000 063 e-15  m
  real(wp), parameter :: tau_Compton_wavelength_over_2_pi = 0.111056e-15_wp ! 0.000 010 e-15  m
  real(wp), parameter :: tau_electron_mass_ratio = 3477.15_wp ! 0.31  
  real(wp), parameter :: tau_mass = 3.16747e-27_wp ! 0.000 29 e-27  kg
  real(wp), parameter :: tau_mass_energy_equivalent = 2.84678e-10_wp ! 0.000 26 e-10  J
  real(wp), parameter :: tau_mass_energy_equivalent_in_MeV = 1776.82_wp ! 0.16  MeV
  real(wp), parameter :: tau_mass_in_u = 1.90749_wp ! 0.000 17  u
  real(wp), parameter :: tau_molar_mass = 1.90749e-3_wp ! 0.000 17 e-3  kg mol^-1
  real(wp), parameter :: tau_muon_mass_ratio = 16.8167_wp ! 0.0015  
  real(wp), parameter :: tau_neutron_mass_ratio = 1.89111_wp ! 0.000 17  
  real(wp), parameter :: tau_proton_mass_ratio = 1.89372_wp ! 0.000 17  
  real(wp), parameter :: Thomson_cross_section = 0.6652458734e-28_wp ! 0.000 000 0013 e-28  m^2
  real(wp), parameter :: triton_electron_mass_ratio = 5496.9215267_wp ! 0.000 0050  
  real(wp), parameter :: triton_g_factor = 5.957924896_wp ! 0.000 000 076  
  real(wp), parameter :: triton_mag__mom_ = 1.504609447e-26_wp ! 0.000 000 038 e-26  J T^-1
  real(wp), parameter :: triton_mag__mom__to_Bohr_magneton_ratio = 1.622393657e-3_wp ! 0.000 000 021 e-3  
  real(wp), parameter :: triton_mag__mom__to_nuclear_magneton_ratio = 2.978962448_wp ! 0.000 000 038  
  real(wp), parameter :: triton_mass = 5.00735630e-27_wp ! 0.000 000 22 e-27  kg
  real(wp), parameter :: triton_mass_energy_equivalent = 4.50038741e-10_wp ! 0.000 000 20 e-10  J
  real(wp), parameter :: triton_mass_energy_equivalent_in_MeV = 2808.921005_wp ! 0.000 062  MeV
  real(wp), parameter :: triton_mass_in_u = 3.0155007134_wp ! 0.000 000 0025  u
  real(wp), parameter :: triton_molar_mass = 3.0155007134e-3_wp ! 0.000 000 0025 e-3  kg mol^-1
  real(wp), parameter :: triton_proton_mass_ratio = 2.9937170308_wp ! 0.000 000 0025  
  real(wp), parameter :: unified_atomic_mass_unit = 1.660538921e-27_wp ! 0.000 000 073 e-27  kg
  real(wp), parameter :: von_Klitzing_constant = 25812.8074434_wp ! 0.000 0084  ohm
  real(wp), parameter :: weak_mixing_angle = 0.2223_wp ! 0.0021  
  real(wp), parameter :: Wien_frequency_displacement_law_constant = 5.8789254e10_wp ! 0.000 0053 e10  Hz K^-1
  real(wp), parameter :: Wien_wavelength_displacement_law_constant = 2.8977721e-3_wp ! 0.000 0026 e-3  m K
end module CODATA_2010_constants
