!-------------------------------------------------------------------------------
! CODATA_2014_constants.f90
! Automatically generated from 2014 CODATA NIST file:
! https://physics.nist.gov/cuu/Constants/Table/allascii_2014.txt
! downloaded on 2021-03-23.
!-------------------------------------------------------------------------------

module CODATA_2014_constants
  use, intrinsic :: iso_fortran_env, only: wp=>real64
  implicit none

  real(wp), parameter :: twotwozero_lattice_spacing_of_silicon = 192.0155714e-12_wp ! 0.000 0032 e-12  m
  real(wp), parameter :: alpha_particle_electron_mass_ratio = 7294.29954136_wp ! 0.000 000 24  
  real(wp), parameter :: alpha_particle_mass = 6.644657230e-27_wp ! 0.000 000 082 e-27  kg
  real(wp), parameter :: alpha_particle_mass_energy_equivalent = 5.971920097e-10_wp ! 0.000 000 073 e-10  J
  real(wp), parameter :: alpha_particle_mass_energy_equivalent_in_MeV = 3727.379378_wp ! 0.000 023  MeV
  real(wp), parameter :: alpha_particle_mass_in_u = 4.001506179127_wp ! 0.000 000 000 063  u
  real(wp), parameter :: alpha_particle_molar_mass = 4.001506179127e-3_wp ! 0.000 000 000 063 e-3  kg mol^-1
  real(wp), parameter :: alpha_particle_proton_mass_ratio = 3.97259968907_wp ! 0.000 000 000 36  
  real(wp), parameter :: Angstrom_star = 1.00001495e-10_wp ! 0.000 000 90 e-10  m
  real(wp), parameter :: atomic_mass_constant = 1.660539040e-27_wp ! 0.000 000 020 e-27  kg
  real(wp), parameter :: atomic_mass_constant_energy_equivalent = 1.492418062e-10_wp ! 0.000 000 018 e-10  J
  real(wp), parameter :: atomic_mass_constant_energy_equivalent_in_MeV = 931.4940954_wp ! 0.000 0057  MeV
  real(wp), parameter :: atomic_mass_unit_electron_volt_relationship = 931.4940954e6_wp ! 0.000 0057 e6  eV
  real(wp), parameter :: atomic_mass_unit_hartree_relationship = 3.4231776902e7_wp ! 0.000 000 0016 e7  E_h
  real(wp), parameter :: atomic_mass_unit_hertz_relationship = 2.2523427206e23_wp ! 0.000 000 0010 e23  Hz
  real(wp), parameter :: atomic_mass_unit_inverse_meter_relationship = 7.5130066166e14_wp ! 0.000 000 0034 e14  m^-1
  real(wp), parameter :: atomic_mass_unit_joule_relationship = 1.492418062e-10_wp ! 0.000 000 018 e-10  J
  real(wp), parameter :: atomic_mass_unit_kelvin_relationship = 1.08095438e13_wp ! 0.000 000 62 e13  K
  real(wp), parameter :: atomic_mass_unit_kilogram_relationship = 1.660539040e-27_wp ! 0.000 000 020 e-27  kg
  real(wp), parameter :: atomic_unit_of_1st_hyperpolarizability = 3.206361329e-53_wp ! 0.000 000 020 e-53  C^3 m^3 J^-2
  real(wp), parameter :: atomic_unit_of_2nd_hyperpolarizability = 6.235380085e-65_wp ! 0.000 000 077 e-65  C^4 m^4 J^-3
  real(wp), parameter :: atomic_unit_of_action = 1.054571800e-34_wp ! 0.000 000 013 e-34  J s
  real(wp), parameter :: atomic_unit_of_charge = 1.6021766208e-19_wp ! 0.000 000 0098 e-19  C
  real(wp), parameter :: atomic_unit_of_charge_density = 1.0812023770e12_wp ! 0.000 000 0067 e12  C m^-3
  real(wp), parameter :: atomic_unit_of_current = 6.623618183e-3_wp ! 0.000 000 041 e-3  A
  real(wp), parameter :: atomic_unit_of_electric_dipole_mom_ = 8.478353552e-30_wp ! 0.000 000 052 e-30  C m
  real(wp), parameter :: atomic_unit_of_electric_field = 5.142206707e11_wp ! 0.000 000 032 e11  V m^-1
  real(wp), parameter :: atomic_unit_of_electric_field_gradient = 9.717362356e21_wp ! 0.000 000 060 e21  V m^-2
  real(wp), parameter :: atomic_unit_of_electric_polarizability = 1.6487772731e-41_wp ! 0.000 000 0011 e-41  C^2 m^2 J^-1
  real(wp), parameter :: atomic_unit_of_electric_potential = 27.21138602_wp ! 0.000 000 17  V
  real(wp), parameter :: atomic_unit_of_electric_quadrupole_mom_ = 4.486551484e-40_wp ! 0.000 000 028 e-40  C m^2
  real(wp), parameter :: atomic_unit_of_energy = 4.359744650e-18_wp ! 0.000 000 054 e-18  J
  real(wp), parameter :: atomic_unit_of_force = 8.23872336e-8_wp ! 0.000 000 10 e-8  N
  real(wp), parameter :: atomic_unit_of_length = 0.52917721067e-10_wp ! 0.000 000 000 12 e-10  m
  real(wp), parameter :: atomic_unit_of_mag__dipole_mom_ = 1.854801999e-23_wp ! 0.000 000 011 e-23  J T^-1
  real(wp), parameter :: atomic_unit_of_mag__flux_density = 2.350517550e5_wp ! 0.000 000 014 e5  T
  real(wp), parameter :: atomic_unit_of_magnetizability = 7.8910365886e-29_wp ! 0.000 000 0090 e-29  J T^-2
  real(wp), parameter :: atomic_unit_of_mass = 9.10938356e-31_wp ! 0.000 000 11 e-31  kg
  real(wp), parameter :: atomic_unit_of_mom_um = 1.992851882e-24_wp ! 0.000 000 024 e-24  kg m s^-1
  real(wp), parameter :: atomic_unit_of_permittivity = 1.112650056e-10_wp ! (exact)  F m^-1
  real(wp), parameter :: atomic_unit_of_time = 2.418884326509e-17_wp ! 0.000 000 000 014 e-17  s
  real(wp), parameter :: atomic_unit_of_velocity = 2.18769126277e6_wp ! 0.000 000 000 50 e6  m s^-1
  real(wp), parameter :: Avogadro_constant = 6.022140857e23_wp ! 0.000 000 074 e23  mol^-1
  real(wp), parameter :: Bohr_magneton = 927.4009994e-26_wp ! 0.000 0057 e-26  J T^-1
  real(wp), parameter :: Bohr_magneton_in_eV_T = 5.7883818012e-5_wp ! 0.000 000 0026 e-5  eV T^-1
  real(wp), parameter :: Bohr_magneton_in_Hz_T = 13.996245042e9_wp ! 0.000 000 086 e9  Hz T^-1
  real(wp), parameter :: Bohr_magneton_in_inverse_meters_per_tesla = 46.68644814_wp ! 0.000 000 29  m^-1 T^-1
  real(wp), parameter :: Bohr_magneton_in_K_T = 0.67171405_wp ! 0.000 000 39  K T^-1
  real(wp), parameter :: Bohr_radius = 0.52917721067e-10_wp ! 0.000 000 000 12 e-10  m
  real(wp), parameter :: Boltzmann_constant = 1.38064852e-23_wp ! 0.000 000 79 e-23  J K^-1
  real(wp), parameter :: Boltzmann_constant_in_eV_K = 8.6173303e-5_wp ! 0.000 0050 e-5  eV K^-1
  real(wp), parameter :: Boltzmann_constant_in_Hz_K = 2.0836612e10_wp ! 0.000 0012 e10  Hz K^-1
  real(wp), parameter :: Boltzmann_constant_in_inverse_meters_per_kelvin = 69.503457_wp ! 0.000 040  m^-1 K^-1
  real(wp), parameter :: characteristic_impedance_of_vacuum = 376.730313461_wp ! (exact)  ohm
  real(wp), parameter :: classical_electron_radius = 2.8179403227e-15_wp ! 0.000 000 0019 e-15  m
  real(wp), parameter :: Compton_wavelength = 2.4263102367e-12_wp ! 0.000 000 0011 e-12  m
  real(wp), parameter :: Compton_wavelength_over_2_pi = 386.15926764e-15_wp ! 0.000 000 18 e-15  m
  real(wp), parameter :: conductance_quantum = 7.7480917310e-5_wp ! 0.000 000 0018 e-5  S
  real(wp), parameter :: conventional_value_of_Josephson_constant = 483597.9e9_wp ! (exact)  Hz V^-1
  real(wp), parameter :: conventional_value_of_von_Klitzing_constant = 25812.807_wp ! (exact)  ohm
  real(wp), parameter :: Cu_x_unit = 1.00207697e-13_wp ! 0.000 000 28 e-13  m
  real(wp), parameter :: deuteron_electron_mag__mom__ratio = -4.664345535e-4_wp ! 0.000 000 026 e-4  
  real(wp), parameter :: deuteron_electron_mass_ratio = 3670.48296785_wp ! 0.000 000 13  
  real(wp), parameter :: deuteron_g_factor = 0.8574382311_wp ! 0.000 000 0048  
  real(wp), parameter :: deuteron_mag__mom_ = 0.4330735040e-26_wp ! 0.000 000 0036 e-26  J T^-1
  real(wp), parameter :: deuteron_mag__mom__to_Bohr_magneton_ratio = 0.4669754554e-3_wp ! 0.000 000 0026 e-3  
  real(wp), parameter :: deuteron_mag__mom__to_nuclear_magneton_ratio = 0.8574382311_wp ! 0.000 000 0048  
  real(wp), parameter :: deuteron_mass = 3.343583719e-27_wp ! 0.000 000 041 e-27  kg
  real(wp), parameter :: deuteron_mass_energy_equivalent = 3.005063183e-10_wp ! 0.000 000 037 e-10  J
  real(wp), parameter :: deuteron_mass_energy_equivalent_in_MeV = 1875.612928_wp ! 0.000 012  MeV
  real(wp), parameter :: deuteron_mass_in_u = 2.013553212745_wp ! 0.000 000 000 040  u
  real(wp), parameter :: deuteron_molar_mass = 2.013553212745e-3_wp ! 0.000 000 000 040 e-3  kg mol^-1
  real(wp), parameter :: deuteron_neutron_mag__mom__ratio = -0.44820652_wp ! 0.000 000 11  
  real(wp), parameter :: deuteron_proton_mag__mom__ratio = 0.3070122077_wp ! 0.000 000 0015  
  real(wp), parameter :: deuteron_proton_mass_ratio = 1.99900750087_wp ! 0.000 000 000 19  
  real(wp), parameter :: deuteron_rms_charge_radius = 2.1413e-15_wp ! 0.0025 e-15  m
  real(wp), parameter :: electric_constant = 8.854187817e-12_wp ! (exact)  F m^-1
  real(wp), parameter :: electron_charge_to_mass_quotient = -1.758820024e11_wp ! 0.000 000 011 e11  C kg^-1
  real(wp), parameter :: electron_deuteron_mag__mom__ratio = -2143.923499_wp ! 0.000 012  
  real(wp), parameter :: electron_deuteron_mass_ratio = 2.724437107484e-4_wp ! 0.000 000 000 096 e-4  
  real(wp), parameter :: electron_g_factor = -2.00231930436182_wp ! 0.000 000 000 000 52  
  real(wp), parameter :: electron_gyromag__ratio = 1.760859644e11_wp ! 0.000 000 011 e11  s^-1 T^-1
  real(wp), parameter :: electron_gyromag__ratio_over_2_pi = 28024.95164_wp ! 0.000 17  MHz T^-1
  real(wp), parameter :: electron_helion_mass_ratio = 1.819543074854e-4_wp ! 0.000 000 000 088 e-4  
  real(wp), parameter :: electron_mag__mom_ = -928.4764620e-26_wp ! 0.000 0057 e-26  J T^-1
  real(wp), parameter :: electron_mag__mom__anomaly = 1.15965218091e-3_wp ! 0.000 000 000 26 e-3  
  real(wp), parameter :: electron_mag__mom__to_Bohr_magneton_ratio = -1.00115965218091_wp ! 0.000 000 000 000 26  
  real(wp), parameter :: electron_mag__mom__to_nuclear_magneton_ratio = -1838.28197234_wp ! 0.000 000 17  
  real(wp), parameter :: electron_mass = 9.10938356e-31_wp ! 0.000 000 11 e-31  kg
  real(wp), parameter :: electron_mass_energy_equivalent = 8.18710565e-14_wp ! 0.000 000 10 e-14  J
  real(wp), parameter :: electron_mass_energy_equivalent_in_MeV = 0.5109989461_wp ! 0.000 000 0031  MeV
  real(wp), parameter :: electron_mass_in_u = 5.48579909070e-4_wp ! 0.000 000 000 16 e-4  u
  real(wp), parameter :: electron_molar_mass = 5.48579909070e-7_wp ! 0.000 000 000 16 e-7  kg mol^-1
  real(wp), parameter :: electron_muon_mag__mom__ratio = 206.7669880_wp ! 0.000 0046  
  real(wp), parameter :: electron_muon_mass_ratio = 4.83633170e-3_wp ! 0.000 000 11 e-3  
  real(wp), parameter :: electron_neutron_mag__mom__ratio = 960.92050_wp ! 0.000 23  
  real(wp), parameter :: electron_neutron_mass_ratio = 5.4386734428e-4_wp ! 0.000 000 0027 e-4  
  real(wp), parameter :: electron_proton_mag__mom__ratio = -658.2106866_wp ! 0.000 0020  
  real(wp), parameter :: electron_proton_mass_ratio = 5.44617021352e-4_wp ! 0.000 000 000 52 e-4  
  real(wp), parameter :: electron_tau_mass_ratio = 2.87592e-4_wp ! 0.000 26 e-4  
  real(wp), parameter :: electron_to_alpha_particle_mass_ratio = 1.370933554798e-4_wp ! 0.000 000 000 045 e-4  
  real(wp), parameter :: electron_to_shielded_helion_mag__mom__ratio = 864.058257_wp ! 0.000 010  
  real(wp), parameter :: electron_to_shielded_proton_mag__mom__ratio = -658.2275971_wp ! 0.000 0072  
  real(wp), parameter :: electron_triton_mass_ratio = 1.819200062203e-4_wp ! 0.000 000 000 084 e-4  
  real(wp), parameter :: electron_volt = 1.6021766208e-19_wp ! 0.000 000 0098 e-19  J
  real(wp), parameter :: electron_volt_atomic_mass_unit_relationship = 1.0735441105e-9_wp ! 0.000 000 0066 e-9  u
  real(wp), parameter :: electron_volt_hartree_relationship = 3.674932248e-2_wp ! 0.000 000 023 e-2  E_h
  real(wp), parameter :: electron_volt_hertz_relationship = 2.417989262e14_wp ! 0.000 000 015 e14  Hz
  real(wp), parameter :: electron_volt_inverse_meter_relationship = 8.065544005e5_wp ! 0.000 000 050 e5  m^-1
  real(wp), parameter :: electron_volt_joule_relationship = 1.6021766208e-19_wp ! 0.000 000 0098 e-19  J
  real(wp), parameter :: electron_volt_kelvin_relationship = 1.16045221e4_wp ! 0.000 000 67 e4  K
  real(wp), parameter :: electron_volt_kilogram_relationship = 1.782661907e-36_wp ! 0.000 000 011 e-36  kg
  real(wp), parameter :: elementary_charge = 1.6021766208e-19_wp ! 0.000 000 0098 e-19  C
  real(wp), parameter :: elementary_charge_over_h = 2.417989262e14_wp ! 0.000 000 015 e14  A J^-1
  real(wp), parameter :: Faraday_constant = 96485.33289_wp ! 0.000 59  C mol^-1
  real(wp), parameter :: Faraday_constant_for_conventional_electric_current = 96485.3251_wp ! 0.0012  C_90 mol^-1
  real(wp), parameter :: Fermi_coupling_constant = 1.1663787e-5_wp ! 0.000 0006 e-5  GeV^-2
  real(wp), parameter :: fine_structure_constant = 7.2973525664e-3_wp ! 0.000 000 0017 e-3  
  real(wp), parameter :: first_radiation_constant = 3.741771790e-16_wp ! 0.000 000 046 e-16  W m^2
  real(wp), parameter :: first_radiation_constant_for_spectral_radiance = 1.191042953e-16_wp ! 0.000 000 015 e-16  W m^2 sr^-1
  real(wp), parameter :: hartree_atomic_mass_unit_relationship = 2.9212623197e-8_wp ! 0.000 000 0013 e-8  u
  real(wp), parameter :: hartree_electron_volt_relationship = 27.21138602_wp ! 0.000 000 17  eV
  real(wp), parameter :: Hartree_energy = 4.359744650e-18_wp ! 0.000 000 054 e-18  J
  real(wp), parameter :: Hartree_energy_in_eV = 27.21138602_wp ! 0.000 000 17  eV
  real(wp), parameter :: hartree_hertz_relationship = 6.579683920711e15_wp ! 0.000 000 000 039 e15  Hz
  real(wp), parameter :: hartree_inverse_meter_relationship = 2.194746313702e7_wp ! 0.000 000 000 013 e7  m^-1
  real(wp), parameter :: hartree_joule_relationship = 4.359744650e-18_wp ! 0.000 000 054 e-18  J
  real(wp), parameter :: hartree_kelvin_relationship = 3.1577513e5_wp ! 0.000 0018 e5  K
  real(wp), parameter :: hartree_kilogram_relationship = 4.850870129e-35_wp ! 0.000 000 060 e-35  kg
  real(wp), parameter :: helion_electron_mass_ratio = 5495.88527922_wp ! 0.000 000 27  
  real(wp), parameter :: helion_g_factor = -4.255250616_wp ! 0.000 000 050  
  real(wp), parameter :: helion_mag__mom_ = -1.074617522e-26_wp ! 0.000 000 014 e-26  J T^-1
  real(wp), parameter :: helion_mag__mom__to_Bohr_magneton_ratio = -1.158740958e-3_wp ! 0.000 000 014 e-3  
  real(wp), parameter :: helion_mag__mom__to_nuclear_magneton_ratio = -2.127625308_wp ! 0.000 000 025  
  real(wp), parameter :: helion_mass = 5.006412700e-27_wp ! 0.000 000 062 e-27  kg
  real(wp), parameter :: helion_mass_energy_equivalent = 4.499539341e-10_wp ! 0.000 000 055 e-10  J
  real(wp), parameter :: helion_mass_energy_equivalent_in_MeV = 2808.391586_wp ! 0.000 017  MeV
  real(wp), parameter :: helion_mass_in_u = 3.01493224673_wp ! 0.000 000 000 12  u
  real(wp), parameter :: helion_molar_mass = 3.01493224673e-3_wp ! 0.000 000 000 12 e-3  kg mol^-1
  real(wp), parameter :: helion_proton_mass_ratio = 2.99315267046_wp ! 0.000 000 000 29  
  real(wp), parameter :: hertz_atomic_mass_unit_relationship = 4.4398216616e-24_wp ! 0.000 000 0020 e-24  u
  real(wp), parameter :: hertz_electron_volt_relationship = 4.135667662e-15_wp ! 0.000 000 025 e-15  eV
  real(wp), parameter :: hertz_hartree_relationship = 1.5198298460088e-16_wp ! 0.000 000 000 0090 e-16  E_h
  real(wp), parameter :: hertz_inverse_meter_relationship = 3.335640951e-9_wp ! (exact)  m^-1
  real(wp), parameter :: hertz_joule_relationship = 6.626070040e-34_wp ! 0.000 000 081 e-34  J
  real(wp), parameter :: hertz_kelvin_relationship = 4.7992447e-11_wp ! 0.000 0028 e-11  K
  real(wp), parameter :: hertz_kilogram_relationship = 7.372497201e-51_wp ! 0.000 000 091 e-51  kg
  real(wp), parameter :: inverse_fine_structure_constant = 137.035999139_wp ! 0.000 000 031  
  real(wp), parameter :: inverse_meter_atomic_mass_unit_relationship = 1.33102504900e-15_wp ! 0.000 000 000 61 e-15  u
  real(wp), parameter :: inverse_meter_electron_volt_relationship = 1.2398419739e-6_wp ! 0.000 000 0076 e-6  eV
  real(wp), parameter :: inverse_meter_hartree_relationship = 4.556335252767e-8_wp ! 0.000 000 000 027 e-8  E_h
  real(wp), parameter :: inverse_meter_hertz_relationship = 299792458e0_wp ! (exact)  Hz
  real(wp), parameter :: inverse_meter_joule_relationship = 1.986445824e-25_wp ! 0.000 000 024 e-25  J
  real(wp), parameter :: inverse_meter_kelvin_relationship = 1.43877736e-2_wp ! 0.000 000 83 e-2  K
  real(wp), parameter :: inverse_meter_kilogram_relationship = 2.210219057e-42_wp ! 0.000 000 027 e-42  kg
  real(wp), parameter :: inverse_of_conductance_quantum = 12906.4037278_wp ! 0.000 0029  ohm
  real(wp), parameter :: Josephson_constant = 483597.8525e9_wp ! 0.0030 e9  Hz V^-1
  real(wp), parameter :: joule_atomic_mass_unit_relationship = 6.700535363e9_wp ! 0.000 000 082 e9  u
  real(wp), parameter :: joule_electron_volt_relationship = 6.241509126e18_wp ! 0.000 000 038 e18  eV
  real(wp), parameter :: joule_hartree_relationship = 2.293712317e17_wp ! 0.000 000 028 e17  E_h
  real(wp), parameter :: joule_hertz_relationship = 1.509190205e33_wp ! 0.000 000 019 e33  Hz
  real(wp), parameter :: joule_inverse_meter_relationship = 5.034116651e24_wp ! 0.000 000 062 e24  m^-1
  real(wp), parameter :: joule_kelvin_relationship = 7.2429731e22_wp ! 0.000 0042 e22  K
  real(wp), parameter :: joule_kilogram_relationship = 1.112650056e-17_wp ! (exact)  kg
  real(wp), parameter :: kelvin_atomic_mass_unit_relationship = 9.2510842e-14_wp ! 0.000 0053 e-14  u
  real(wp), parameter :: kelvin_electron_volt_relationship = 8.6173303e-5_wp ! 0.000 0050 e-5  eV
  real(wp), parameter :: kelvin_hartree_relationship = 3.1668105e-6_wp ! 0.000 0018 e-6  E_h
  real(wp), parameter :: kelvin_hertz_relationship = 2.0836612e10_wp ! 0.000 0012 e10  Hz
  real(wp), parameter :: kelvin_inverse_meter_relationship = 69.503457_wp ! 0.000 040  m^-1
  real(wp), parameter :: kelvin_joule_relationship = 1.38064852e-23_wp ! 0.000 000 79 e-23  J
  real(wp), parameter :: kelvin_kilogram_relationship = 1.53617865e-40_wp ! 0.000 000 88 e-40  kg
  real(wp), parameter :: kilogram_atomic_mass_unit_relationship = 6.022140857e26_wp ! 0.000 000 074 e26  u
  real(wp), parameter :: kilogram_electron_volt_relationship = 5.609588650e35_wp ! 0.000 000 034 e35  eV
  real(wp), parameter :: kilogram_hartree_relationship = 2.061485823e34_wp ! 0.000 000 025 e34  E_h
  real(wp), parameter :: kilogram_hertz_relationship = 1.356392512e50_wp ! 0.000 000 017 e50  Hz
  real(wp), parameter :: kilogram_inverse_meter_relationship = 4.524438411e41_wp ! 0.000 000 056 e41  m^-1
  real(wp), parameter :: kilogram_joule_relationship = 8.987551787e16_wp ! (exact)  J
  real(wp), parameter :: kilogram_kelvin_relationship = 6.5096595e39_wp ! 0.000 0037 e39  K
  real(wp), parameter :: lattice_parameter_of_silicon = 543.1020504e-12_wp ! 0.000 0089 e-12  m
  real(wp), parameter :: Loschmidt_constant_273_15_K__100_kPa = 2.6516467e25_wp ! 0.000 0015 e25  m^-3
  real(wp), parameter :: Loschmidt_constant_273_15_K__101_325_kPa = 2.6867811e25_wp ! 0.000 0015 e25  m^-3
  real(wp), parameter :: mag__constant = 12.566370614e-7_wp ! (exact)  N A^-2
  real(wp), parameter :: mag__flux_quantum = 2.067833831e-15_wp ! 0.000 000 013 e-15  Wb
  real(wp), parameter :: molar_gas_constant = 8.3144598_wp ! 0.000 0048  J mol^-1 K^-1
  real(wp), parameter :: molar_mass_constant = 1e-3_wp ! (exact)  kg mol^-1
  real(wp), parameter :: molar_mass_of_carbon_12 = 12e-3_wp ! (exact)  kg mol^-1
  real(wp), parameter :: molar_Planck_constant = 3.9903127110e-10_wp ! 0.000 000 0018 e-10  J s mol^-1
  real(wp), parameter :: molar_Planck_constant_times_c = 0.119626565582_wp ! 0.000 000 000 054  J m mol^-1
  real(wp), parameter :: molar_volume_of_ideal_gas_273_15_K__100_kPa = 22.710947e-3_wp ! 0.000 013 e-3  m^3 mol^-1
  real(wp), parameter :: molar_volume_of_ideal_gas_273_15_K__101_325_kPa = 22.413962e-3_wp ! 0.000 013 e-3  m^3 mol^-1
  real(wp), parameter :: molar_volume_of_silicon = 12.05883214e-6_wp ! 0.000 000 61 e-6  m^3 mol^-1
  real(wp), parameter :: Mo_x_unit = 1.00209952e-13_wp ! 0.000 000 53 e-13  m
  real(wp), parameter :: muon_Compton_wavelength = 11.73444111e-15_wp ! 0.000 000 26 e-15  m
  real(wp), parameter :: muon_Compton_wavelength_over_2_pi = 1.867594308e-15_wp ! 0.000 000 042 e-15  m
  real(wp), parameter :: muon_electron_mass_ratio = 206.7682826_wp ! 0.000 0046  
  real(wp), parameter :: muon_g_factor = -2.0023318418_wp ! 0.000 000 0013  
  real(wp), parameter :: muon_mag__mom_ = -4.49044826e-26_wp ! 0.000 000 10 e-26  J T^-1
  real(wp), parameter :: muon_mag__mom__anomaly = 1.16592089e-3_wp ! 0.000 000 63 e-3  
  real(wp), parameter :: muon_mag__mom__to_Bohr_magneton_ratio = -4.84197048e-3_wp ! 0.000 000 11 e-3  
  real(wp), parameter :: muon_mag__mom__to_nuclear_magneton_ratio = -8.89059705_wp ! 0.000 000 20  
  real(wp), parameter :: muon_mass = 1.883531594e-28_wp ! 0.000 000 048 e-28  kg
  real(wp), parameter :: muon_mass_energy_equivalent = 1.692833774e-11_wp ! 0.000 000 043 e-11  J
  real(wp), parameter :: muon_mass_energy_equivalent_in_MeV = 105.6583745_wp ! 0.000 0024  MeV
  real(wp), parameter :: muon_mass_in_u = 0.1134289257_wp ! 0.000 000 0025  u
  real(wp), parameter :: muon_molar_mass = 0.1134289257e-3_wp ! 0.000 000 0025 e-3  kg mol^-1
  real(wp), parameter :: muon_neutron_mass_ratio = 0.1124545167_wp ! 0.000 000 0025  
  real(wp), parameter :: muon_proton_mag__mom__ratio = -3.183345142_wp ! 0.000 000 071  
  real(wp), parameter :: muon_proton_mass_ratio = 0.1126095262_wp ! 0.000 000 0025  
  real(wp), parameter :: muon_tau_mass_ratio = 5.94649e-2_wp ! 0.000 54 e-2  
  real(wp), parameter :: natural_unit_of_action = 1.054571800e-34_wp ! 0.000 000 013 e-34  J s
  real(wp), parameter :: natural_unit_of_action_in_eV_s = 6.582119514e-16_wp ! 0.000 000 040 e-16  eV s
  real(wp), parameter :: natural_unit_of_energy = 8.18710565e-14_wp ! 0.000 000 10 e-14  J
  real(wp), parameter :: natural_unit_of_energy_in_MeV = 0.5109989461_wp ! 0.000 000 0031  MeV
  real(wp), parameter :: natural_unit_of_length = 386.15926764e-15_wp ! 0.000 000 18 e-15  m
  real(wp), parameter :: natural_unit_of_mass = 9.10938356e-31_wp ! 0.000 000 11 e-31  kg
  real(wp), parameter :: natural_unit_of_mom_um = 2.730924488e-22_wp ! 0.000 000 034 e-22  kg m s^-1
  real(wp), parameter :: natural_unit_of_mom_um_in_MeV_c = 0.5109989461_wp ! 0.000 000 0031  MeV/c
  real(wp), parameter :: natural_unit_of_time = 1.28808866712e-21_wp ! 0.000 000 000 58 e-21  s
  real(wp), parameter :: natural_unit_of_velocity = 299792458e0_wp ! (exact)  m s^-1
  real(wp), parameter :: neutron_Compton_wavelength = 1.31959090481e-15_wp ! 0.000 000 000 88 e-15  m
  real(wp), parameter :: neutron_Compton_wavelength_over_2_pi = 0.21001941536e-15_wp ! 0.000 000 000 14 e-15  m
  real(wp), parameter :: neutron_electron_mag__mom__ratio = 1.04066882e-3_wp ! 0.000 000 25 e-3  
  real(wp), parameter :: neutron_electron_mass_ratio = 1838.68366158_wp ! 0.000 000 90  
  real(wp), parameter :: neutron_g_factor = -3.82608545_wp ! 0.000 000 90  
  real(wp), parameter :: neutron_gyromag__ratio = 1.83247172e8_wp ! 0.000 000 43 e8  s^-1 T^-1
  real(wp), parameter :: neutron_gyromag__ratio_over_2_pi = 29.1646933_wp ! 0.000 0069  MHz T^-1
  real(wp), parameter :: neutron_mag__mom_ = -0.96623650e-26_wp ! 0.000 000 23 e-26  J T^-1
  real(wp), parameter :: neutron_mag__mom__to_Bohr_magneton_ratio = -1.04187563e-3_wp ! 0.000 000 25 e-3  
  real(wp), parameter :: neutron_mag__mom__to_nuclear_magneton_ratio = -1.91304273_wp ! 0.000 000 45  
  real(wp), parameter :: neutron_mass = 1.674927471e-27_wp ! 0.000 000 021 e-27  kg
  real(wp), parameter :: neutron_mass_energy_equivalent = 1.505349739e-10_wp ! 0.000 000 019 e-10  J
  real(wp), parameter :: neutron_mass_energy_equivalent_in_MeV = 939.5654133_wp ! 0.000 0058  MeV
  real(wp), parameter :: neutron_mass_in_u = 1.00866491588_wp ! 0.000 000 000 49  u
  real(wp), parameter :: neutron_molar_mass = 1.00866491588e-3_wp ! 0.000 000 000 49 e-3  kg mol^-1
  real(wp), parameter :: neutron_muon_mass_ratio = 8.89248408_wp ! 0.000 000 20  
  real(wp), parameter :: neutron_proton_mag__mom__ratio = -0.68497934_wp ! 0.000 000 16  
  real(wp), parameter :: neutron_proton_mass_difference = 2.30557377e-30_wp ! 0.000 000 85 e-30  
  real(wp), parameter :: neutron_proton_mass_difference_energy_equivalent = 2.07214637e-13_wp ! 0.000 000 76 e-13  
  real(wp), parameter :: neutron_proton_mass_difference_energy_equivalent_in_MeV = 1.29333205_wp ! 0.000 000 48  
  real(wp), parameter :: neutron_proton_mass_difference_in_u = 0.00138844900_wp ! 0.000 000 000 51  
  real(wp), parameter :: neutron_proton_mass_ratio = 1.00137841898_wp ! 0.000 000 000 51  
  real(wp), parameter :: neutron_tau_mass_ratio = 0.528790_wp ! 0.000 048  
  real(wp), parameter :: neutron_to_shielded_proton_mag__mom__ratio = -0.68499694_wp ! 0.000 000 16  
  real(wp), parameter :: Newtonian_constant_of_gravitation = 6.67408e-11_wp ! 0.000 31 e-11  m^3 kg^-1 s^-2
  real(wp), parameter :: Newtonian_constant_of_gravitation_over_h_bar_c = 6.70861e-39_wp ! 0.000 31 e-39  (GeV/c^2)^-2
  real(wp), parameter :: nuclear_magneton = 5.050783699e-27_wp ! 0.000 000 031 e-27  J T^-1
  real(wp), parameter :: nuclear_magneton_in_eV_T = 3.1524512550e-8_wp ! 0.000 000 0015 e-8  eV T^-1
  real(wp), parameter :: nuclear_magneton_in_inverse_meters_per_tesla = 2.542623432e-2_wp ! 0.000 000 016 e-2  m^-1 T^-1
  real(wp), parameter :: nuclear_magneton_in_K_T = 3.6582690e-4_wp ! 0.000 0021 e-4  K T^-1
  real(wp), parameter :: nuclear_magneton_in_MHz_T = 7.622593285_wp ! 0.000 000 047  MHz T^-1
  real(wp), parameter :: Planck_constant = 6.626070040e-34_wp ! 0.000 000 081 e-34  J s
  real(wp), parameter :: Planck_constant_in_eV_s = 4.135667662e-15_wp ! 0.000 000 025 e-15  eV s
  real(wp), parameter :: Planck_constant_over_2_pi = 1.054571800e-34_wp ! 0.000 000 013 e-34  J s
  real(wp), parameter :: Planck_constant_over_2_pi_in_eV_s = 6.582119514e-16_wp ! 0.000 000 040 e-16  eV s
  real(wp), parameter :: Planck_constant_over_2_pi_times_c_in_MeV_fm = 197.3269788_wp ! 0.000 0012  MeV fm
  real(wp), parameter :: Planck_length = 1.616229e-35_wp ! 0.000 038 e-35  m
  real(wp), parameter :: Planck_mass = 2.176470e-8_wp ! 0.000 051 e-8  kg
  real(wp), parameter :: Planck_mass_energy_equivalent_in_GeV = 1.220910e19_wp ! 0.000 029 e19  GeV
  real(wp), parameter :: Planck_temperature = 1.416808e32_wp ! 0.000 033 e32  K
  real(wp), parameter :: Planck_time = 5.39116e-44_wp ! 0.000 13 e-44  s
  real(wp), parameter :: proton_charge_to_mass_quotient = 9.578833226e7_wp ! 0.000 000 059 e7  C kg^-1
  real(wp), parameter :: proton_Compton_wavelength = 1.32140985396e-15_wp ! 0.000 000 000 61 e-15  m
  real(wp), parameter :: proton_Compton_wavelength_over_2_pi = 0.210308910109e-15_wp ! 0.000 000 000 097 e-15  m
  real(wp), parameter :: proton_electron_mass_ratio = 1836.15267389_wp ! 0.000 000 17  
  real(wp), parameter :: proton_g_factor = 5.585694702_wp ! 0.000 000 017  
  real(wp), parameter :: proton_gyromag__ratio = 2.675221900e8_wp ! 0.000 000 018 e8  s^-1 T^-1
  real(wp), parameter :: proton_gyromag__ratio_over_2_pi = 42.57747892_wp ! 0.000 000 29  MHz T^-1
  real(wp), parameter :: proton_mag__mom_ = 1.4106067873e-26_wp ! 0.000 000 0097 e-26  J T^-1
  real(wp), parameter :: proton_mag__mom__to_Bohr_magneton_ratio = 1.5210322053e-3_wp ! 0.000 000 0046 e-3  
  real(wp), parameter :: proton_mag__mom__to_nuclear_magneton_ratio = 2.7928473508_wp ! 0.000 000 0085  
  real(wp), parameter :: proton_mag__shielding_correction = 25.691e-6_wp ! 0.011 e-6  
  real(wp), parameter :: proton_mass = 1.672621898e-27_wp ! 0.000 000 021 e-27  kg
  real(wp), parameter :: proton_mass_energy_equivalent = 1.503277593e-10_wp ! 0.000 000 018 e-10  J
  real(wp), parameter :: proton_mass_energy_equivalent_in_MeV = 938.2720813_wp ! 0.000 0058  MeV
  real(wp), parameter :: proton_mass_in_u = 1.007276466879_wp ! 0.000 000 000 091  u
  real(wp), parameter :: proton_molar_mass = 1.007276466879e-3_wp ! 0.000 000 000 091 e-3  kg mol^-1
  real(wp), parameter :: proton_muon_mass_ratio = 8.88024338_wp ! 0.000 000 20  
  real(wp), parameter :: proton_neutron_mag__mom__ratio = -1.45989805_wp ! 0.000 000 34  
  real(wp), parameter :: proton_neutron_mass_ratio = 0.99862347844_wp ! 0.000 000 000 51  
  real(wp), parameter :: proton_rms_charge_radius = 0.8751e-15_wp ! 0.0061 e-15  m
  real(wp), parameter :: proton_tau_mass_ratio = 0.528063_wp ! 0.000 048  
  real(wp), parameter :: quantum_of_circulation = 3.6369475486e-4_wp ! 0.000 000 0017 e-4  m^2 s^-1
  real(wp), parameter :: quantum_of_circulation_times_2 = 7.2738950972e-4_wp ! 0.000 000 0033 e-4  m^2 s^-1
  real(wp), parameter :: Rydberg_constant = 10973731.568508_wp ! 0.000 065  m^-1
  real(wp), parameter :: Rydberg_constant_times_c_in_Hz = 3.289841960355e15_wp ! 0.000 000 000 019 e15  Hz
  real(wp), parameter :: Rydberg_constant_times_hc_in_eV = 13.605693009_wp ! 0.000 000 084  eV
  real(wp), parameter :: Rydberg_constant_times_hc_in_J = 2.179872325e-18_wp ! 0.000 000 027 e-18  J
  real(wp), parameter :: Sackur_Tetrode_constant_1_K__100_kPa = -1.1517084_wp ! 0.000 0014  
  real(wp), parameter :: Sackur_Tetrode_constant_1_K__101_325_kPa = -1.1648714_wp ! 0.000 0014  
  real(wp), parameter :: second_radiation_constant = 1.43877736e-2_wp ! 0.000 000 83 e-2  m K
  real(wp), parameter :: shielded_helion_gyromag__ratio = 2.037894585e8_wp ! 0.000 000 027 e8  s^-1 T^-1
  real(wp), parameter :: shielded_helion_gyromag__ratio_over_2_pi = 32.43409966_wp ! 0.000 000 43  MHz T^-1
  real(wp), parameter :: shielded_helion_mag__mom_ = -1.074553080e-26_wp ! 0.000 000 014 e-26  J T^-1
  real(wp), parameter :: shielded_helion_mag__mom__to_Bohr_magneton_ratio = -1.158671471e-3_wp ! 0.000 000 014 e-3  
  real(wp), parameter :: shielded_helion_mag__mom__to_nuclear_magneton_ratio = -2.127497720_wp ! 0.000 000 025  
  real(wp), parameter :: shielded_helion_to_proton_mag__mom__ratio = -0.7617665603_wp ! 0.000 000 0092  
  real(wp), parameter :: shielded_helion_to_shielded_proton_mag__mom__ratio = -0.7617861313_wp ! 0.000 000 0033  
  real(wp), parameter :: shielded_proton_gyromag__ratio = 2.675153171e8_wp ! 0.000 000 033 e8  s^-1 T^-1
  real(wp), parameter :: shielded_proton_gyromag__ratio_over_2_pi = 42.57638507_wp ! 0.000 000 53  MHz T^-1
  real(wp), parameter :: shielded_proton_mag__mom_ = 1.410570547e-26_wp ! 0.000 000 018 e-26  J T^-1
  real(wp), parameter :: shielded_proton_mag__mom__to_Bohr_magneton_ratio = 1.520993128e-3_wp ! 0.000 000 017 e-3  
  real(wp), parameter :: shielded_proton_mag__mom__to_nuclear_magneton_ratio = 2.792775600_wp ! 0.000 000 030  
  real(wp), parameter :: speed_of_light_in_vacuum = 299792458e0_wp ! (exact)  m s^-1
  real(wp), parameter :: standard_acceleration_of_gravity = 9.80665_wp ! (exact)  m s^-2
  real(wp), parameter :: standard_atmosphere = 101325e0_wp ! (exact)  Pa
  real(wp), parameter :: standard_state_pressure = 100000e0_wp ! (exact)  Pa
  real(wp), parameter :: Stefan_Boltzmann_constant = 5.670367e-8_wp ! 0.000 013 e-8  W m^-2 K^-4
  real(wp), parameter :: tau_Compton_wavelength = 0.697787e-15_wp ! 0.000 063 e-15  m
  real(wp), parameter :: tau_Compton_wavelength_over_2_pi = 0.111056e-15_wp ! 0.000 010 e-15  m
  real(wp), parameter :: tau_electron_mass_ratio = 3477.15_wp ! 0.31  
  real(wp), parameter :: tau_mass = 3.16747e-27_wp ! 0.000 29 e-27  kg
  real(wp), parameter :: tau_mass_energy_equivalent = 2.84678e-10_wp ! 0.000 26 e-10  J
  real(wp), parameter :: tau_mass_energy_equivalent_in_MeV = 1776.82_wp ! 0.16  MeV
  real(wp), parameter :: tau_mass_in_u = 1.90749_wp ! 0.000 17  u
  real(wp), parameter :: tau_molar_mass = 1.90749e-3_wp ! 0.000 17 e-3  kg mol^-1
  real(wp), parameter :: tau_muon_mass_ratio = 16.8167_wp ! 0.0015  
  real(wp), parameter :: tau_neutron_mass_ratio = 1.89111_wp ! 0.000 17  
  real(wp), parameter :: tau_proton_mass_ratio = 1.89372_wp ! 0.000 17  
  real(wp), parameter :: Thomson_cross_section = 0.66524587158e-28_wp ! 0.000 000 000 91 e-28  m^2
  real(wp), parameter :: triton_electron_mass_ratio = 5496.92153588_wp ! 0.000 000 26  
  real(wp), parameter :: triton_g_factor = 5.957924920_wp ! 0.000 000 028  
  real(wp), parameter :: triton_mag__mom_ = 1.504609503e-26_wp ! 0.000 000 012 e-26  J T^-1
  real(wp), parameter :: triton_mag__mom__to_Bohr_magneton_ratio = 1.6223936616e-3_wp ! 0.000 000 0076 e-3  
  real(wp), parameter :: triton_mag__mom__to_nuclear_magneton_ratio = 2.978962460_wp ! 0.000 000 014  
  real(wp), parameter :: triton_mass = 5.007356665e-27_wp ! 0.000 000 062 e-27  kg
  real(wp), parameter :: triton_mass_energy_equivalent = 4.500387735e-10_wp ! 0.000 000 055 e-10  J
  real(wp), parameter :: triton_mass_energy_equivalent_in_MeV = 2808.921112_wp ! 0.000 017  MeV
  real(wp), parameter :: triton_mass_in_u = 3.01550071632_wp ! 0.000 000 000 11  u
  real(wp), parameter :: triton_molar_mass = 3.01550071632e-3_wp ! 0.000 000 000 11 e-3  kg mol^-1
  real(wp), parameter :: triton_proton_mass_ratio = 2.99371703348_wp ! 0.000 000 000 22  
  real(wp), parameter :: unified_atomic_mass_unit = 1.660539040e-27_wp ! 0.000 000 020 e-27  kg
  real(wp), parameter :: von_Klitzing_constant = 25812.8074555_wp ! 0.000 0059  ohm
  real(wp), parameter :: weak_mixing_angle = 0.2223_wp ! 0.0021  
  real(wp), parameter :: Wien_frequency_displacement_law_constant = 5.8789238e10_wp ! 0.000 0034 e10  Hz K^-1
  real(wp), parameter :: Wien_wavelength_displacement_law_constant = 2.8977729e-3_wp ! 0.000 0017 e-3  m K
end module CODATA_2014_constants
